Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 01 Oct 2014, 15:11
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Opera 11.11 pet +portable +WebM +locales +flash-adblock
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 17 Posts_count   Goto page: 1, 2, 3, ..., 15, 16, 17 Next
Author Message
Michalis

Joined: 08 Jan 2008
Posts: 237
Location: Greece

PostPosted: Sun 08 Mar 2009, 16:04    Post_subject:  Opera 11.11 pet +portable +WebM +locales +flash-adblock  

Opera version 11.11 pet, with separate pets for the languages and adblocker. Also there are 2 portable versions of Opera, one default and the other a bit customized and tweaked, both of them only in english.


Opera version 11.11

locales for Opera version 11.11


If you want to block the annoying flash (especially for the ads) and other plugins from loading without wanting it while you browse you have to do the following:
Type or paste in the address bar: "opera:config#UserPrefs|EnableOnDemandPlugin" and tick it.
You should also tick the next option "Enable On Demand Plugin Placeholder" so that you will have a small sign indicating that there is a plugin in that position (usually flash) and by clicking on it you can load it.

You may want to test Flash at: http://www.macromedia.com/software/flash/about/

Edit: Although the above way to block plugins remains you can do it from the preferences dialogue also.


If you want also to make opera your default browser the only thing that you have to do is to go to /usr/local/bin/ right click at "defaultbrowser" select "open as text" delete the second line and paste: exec opera "$@"



Portable versions:

The portable versions are in a tar.gz form not pet and so you can extract them to anywhere you want outside from the pup save file even to another partition. They can even be used from different puppys.

Even more if you are using also windows you can link the windows' profile folder made automatically to the linux one and so have the same profile folder. This means that you'll have to use the windows' folder also from linux. But I believe that it's much easier to use the "opera link" function in order to keep updated the profiles.

In order to launch opera from the portables versions you have 3 options:
1. Browse to the opera portable position and click the opera file that you will see in it.

2. Link the opera folder to your desktop and launch it by clicking the desktop icon (it opens the folder) and then the opera executable. This way you won't have menu entry.

3. And thanks to proposals from sheldonisaac, aarf, pri and mikeslr you can have a menu entry by doing the next steps:
Create a script file in "/usr/local/bin" named "opera" in which you have to type the follow:
Code:
#!/bin/sh
cd /the_folder_where_it_is_stored (for example: /usr/local/apps/Opera-11.11-portable-customized)
./opera

remember to change the permissions of the new file to executable by right-click>properties>tick executable
Then go to the end of the post, download and install the Opera-portable-menu pet and you are ready.



Important notices for the use of portable versions from a usbthumb drive:
Portable version can also be installed to a usbflash drive and work. But I don't recommend to launch opera from the usbflash directly cause it uses the drive very often and this will cause a faster deterioration of the drive. Moreover because usb drives are much slower than the internal hdds I recommend whenever want to use it, to copy the folder from the usb thumb anywhere at the hard disk, launch it from the hard disk and at the end of the section copy the profile folder back to the usb drive. This way you will always have all your settings together without any drawback.



The first version is just clean plain Opera. The second one the customized is Opera with plugin-block and ad-block out of the box and a little bit tweaked and puppy-made by me.


Opera version 11.11 portable
md5sum: 561e18ebdda458c121800e3687891181 Opera-11.11-portable.tar.gz

Opera version 11.11 portable and customized
md5sum: 84ebc35636c61ad3893e93aa0c8b7f78 Opera-11.11-portable-customized.tar.gz




HTML5/WebM/VP8
WARNING: WebM (Vpx) is still under development and way slower and more demanding than flash.

In order for opera to play html5 videos needs gstreamer and few libraries from it. If you install the Gstreamer-opera pet any version of opera capable of WebM content whether installed or portable will be able to play html5 videos. The pet you can find it at the end of the post.
I've removed many libraries in order to get a compact size. Moreover I've striped them and thous are not generally recommended for any other use except for WebM videos in opera.
In order to be sure that works fine I've tested opera with the following videos:
http://devfiles.myopera.com/articles/1891/sunflower-webm.html
http://www.youtube.com/watch?html5=True&hl=el&v=H_mU7lkE-sA
http://people.opera.com/patrickl/experiments/webm/fancy-swap/
http://devfiles.myopera.com/articles/1891/custom-controls-webm-720p.html
http://www.youtube.com/watch?html5=True&hl=el&v=tQxbpryKKQo
The last one in HD 720p and I recommend every man in the forum to test it Wink

If you have any problem using html5 in opera please post it, but in order to help you find out the problem I'll need you to inform me about everything concerning your installation.



For the flash player:
You don't need any extra flash player install for Opera since it uses the one already installed in puppy, quirky. If you are using any puplet or wooflet that has flash in another position than /usr/lib/mozilla/plugins you have to add the path here:
opera:config#UserPrefs|Plugin%20Path or
ctrl+F12->content->Plug-in Options->Change Path->Add.

If you want the latest version of Flash player use this guide, is very simple and straight forward. Only keep in mind that is better to install it over the previous version in order to avoid any possibility of mistakes.

Also pay attention that flash player depends on few mozilla libraries and thous you have to have them installed in your system by seamonkey/firefox. Official Puppys since already have seamonkey by default they also have all the needed libraries. If you don't have seamonkey or flash player isn't working at your install, you have to go in the flash player library folder (usually /usr/lib/mozilla/plugins or /usr/lib/opera/plugins) open a terminal and type: ldd libflashplayer.so. This way you can find out what libraries are missing, or whether there is something else broken.


If you have any problem downloading them please inform me. If everything is ok please drop a word also Very Happy
Gstreamer-opera.pet
Description  Gstreamer libraries for opera in order to play HTML5/WebM/VP8 videos
pet

 Download 
Filename  Gstreamer-opera.pet 
Filesize  1.29 MB 
Downloaded  1393 Time(s) 
Opera-portable-menu.pet
Description  Opera-portable-menu
pet

 Download 
Filename  Opera-portable-menu.pet 
Filesize  6.22 KB 
Downloaded  1315 Time(s) 
adblock.pet
Description  adblocker for opera 2 K extracted
pet

 Download 
Filename  adblock.pet 
Filesize  1.33 KB 
Downloaded  1880 Time(s) 

Edited_times_total
Back to top
View user's profile Send_private_message 
potchan


Joined: 05 Apr 2008
Posts: 102
Location: Pilots' Height צוות_פותחן_לינוקס

PostPosted: Sat 14 Mar 2009, 13:17    Post_subject: Oprea works, blocker works  

Hi. here I drop a line as requested:

Opera 9.64 works fine, and despite error message- blocker indicates blocking ....

However I cannot make libflashplayer to work on me. I've tried all advices, including MU's, including copying from NOP 4.1 and NADA!

Do you have a new tip ?

Thanks. Embarassed

_________________
Timmothie (Timmo') Baker, the Potchan (=opener) Simplify Team at - http://potchan.org
P' developed on various LimpWare: DELL INSPIRON 2600 -> .. -> HP Pavilion dv6-2130ej
Back to top
View user's profile Send_private_message Visit_website 
Michalis

Joined: 08 Jan 2008
Posts: 237
Location: Greece

PostPosted: Sat 14 Mar 2009, 18:05    Post_subject: flash player pet  

Thanks for the response, I'm happy that it works well Very Happy

But first response after 84 downloads till now Rolling Eyes


Anyway use this pet in order to install the latest flash version 10.0.22.87 in opera. I'm using this version and works fine.

Warning, if anybody wants flash version 10.0.22.87 for other browsers it won't work this pet.
Back to top
View user's profile Send_private_message 
potchan


Joined: 05 Apr 2008
Posts: 102
Location: Pilots' Height צוות_פותחן_לינוקס

PostPosted: Sat 18 Apr 2009, 15:13    Post_subject: A furthe one  

Hi Team,

1. Which files "responsible" in Opera to accept flash Ver' No'X. It seems to me everyone else celebrates on flash10 while I cannot run a flash bigger than 7. This unique phenomenon happens to me apparently ever since Opera 9.62. May I add the fact /root/.opera is newer than at the point of time it happened to me.

2. What should I do to make flashblocker work at (early) Opera 10.00 ??

Thanks.

_________________
Timmothie (Timmo') Baker, the Potchan (=opener) Simplify Team at - http://potchan.org
P' developed on various LimpWare: DELL INSPIRON 2600 -> .. -> HP Pavilion dv6-2130ej
Back to top
View user's profile Send_private_message Visit_website 
Michalis

Joined: 08 Jan 2008
Posts: 237
Location: Greece

PostPosted: Sun 19 Apr 2009, 10:55    Post_subject:  

Hi potchan,

1. Opera is a free but unfortunately closed source program so nobody but opera's software engineers know what is responsible to make flash work in opera. From the other hand I can't understand why you are having problem with flash since every flash version I've used always work (maybe a bit problematic some of them but they all work). I suppose you have installed the pets for opera and flash that I've made or else I can't be sure about the software you're using, right?

Your problem is that any flash version>7 doesn't work at all or it works but not perfect? If it happens the second wonder whether you have a fast enough processor to run this cr@ppy (unfortunately dominating) software called adobe flash.


2. I haven't used opera 10 yet, so I'm not sure if the profile folder is /root/.opera/ or something like /root/.opera10 (10a, beta, etc). Because of that I can't make a pet but I'll guide you (it's very easy) to install it yourself:

a. First of all go Help->About Opera and check which are your "profile folder" something like "/root/.opera" or "/root/.opera10, 10a, beta, etc" and your user styles folder, something like /root/.opera(10, 10a, beta)/styles/user/.

b. Second click "file" on desktop and go to opera's profile folder. If there is a "userjs" folder there unzip attached file called FlashBlocker.zip and place FlashBlocker.js inside, if not create the folder and put the file inside it.

c. Third go to the user style folder (/root/.opera(10, 10a, beta)/styles/user/), and place FlashBlocker.css (from FlashBlocker.zip) file inside.

d. Fourth if you needed to create the directory "userjs" go to Tools -> Preferences -> Advanced -> Content -> JavaScript Options. Add the location of your newly created directory to "My JavaScript files".

e. Fifth restart Opera, select Flash blocker in menu View->Style and enjoy.
You may want to test Flash at: http://www.macromedia.com/software/flash/about/

If anybody wants to check for updates check this page



For blocking advertisements and ads you can use Adblock list in opera. Go to this page, download urlfilter.ini (better use the Main List) and place it in yours opera profile directory updating the previous one. But consider that a large urlfilter.ini file will increase start-up time of Opera, so take a backup of the previous first to be able to turn back.



As we are talking about enhancements in opera, if someone wants to download flash with a single click go here and click on "Get Flash" and install the button. Every time that you open a page with flash video and the video is possible to download, you'll see a download flash button over the flash's window.


If I'll have more tips I'll post them.
FlashBlocker.zip
Description  FlashBlocker.css and FlashBlocker.js for opera 10 inside.
zip

 Download 
Filename  FlashBlocker.zip 
Filesize  19.65 KB 
Downloaded  1345 Time(s) 
Back to top
View user's profile Send_private_message 
potchan


Joined: 05 Apr 2008
Posts: 102
Location: Pilots' Height צוות_פותחן_לינוקס

PostPosted: Sun 19 Apr 2009, 15:41    Post_subject: In response to your comment
Sub_title: WOW.... yet I want to clarify things
 

Hi Michalis and Team,

Before carving more into your treasurous info' and attached fix - a few remarks should be made. for entire picture of things:

I attach a pic' with my PC-data. More to know regarding it ...

- I edit Potchan with a fair PC (6 yrs' old) but definitely not a killer one,
because I want it to be friendly to most PCs. I test Potchan on other
old laptop with 1066 MHz and 124(!)M RAM
- flash used to work on me, even now your flash works on my
Seamonkey
- I even copied flash from Opera 10.00 at NOP 4.3 + other 'suspects'
of being involved, because there it works like a wind - mine...NADA!
- I tried Opera 6.64 for windows on Wine and it worked including flash
(though it looked like sand'ish in performance, so I dropped it)
- Some flash packages admit some further stages should be made
for opera compatibility. Does it mean "preferences" stuff (which I did)
or more ???

I'd like your opinion, but in two days or so I'll try to learn and impliment your thoughts and zip on my Potchan.

Thanks again.
Potchan-jwm-Apr17-2009b.jpg
Description 
jpg

 Download 
Filename  Potchan-jwm-Apr17-2009b.jpg 
Filesize  191.02 KB 
Downloaded  1257 Time(s) 

_________________
Timmothie (Timmo') Baker, the Potchan (=opener) Simplify Team at - http://potchan.org
P' developed on various LimpWare: DELL INSPIRON 2600 -> .. -> HP Pavilion dv6-2130ej
Back to top
View user's profile Send_private_message Visit_website 
Michalis

Joined: 08 Jan 2008
Posts: 237
Location: Greece

PostPosted: Fri 24 Apr 2009, 09:55    Post_subject:  

Hi potchan,

First of all from the pic I see that your pc is more than enough fast to play flash.

I still can't understand why you are facing that problem. One think that could help is to run opera from the terminal by going to "console" and type "opera" then press enter. Go to a page with flash (youtube, etc) and try to play a flash video. Maybe it will give as some indication why this is happening.

Also post here the output when you run in console "opera -ful-version" try also to run opera with the command "opera -debugplugin"

The last thing I want you to check is while you opera is running type in the adress bar "opera:about" press enter and check if plugin catalog, folder is "/usr/lib/opera/plugins". I don't believe it will be another but check it anyway.

If we won't find any solution througth my instructions give me a link to download potchan and check it myself, I can't find one in potchan.org. By the way I hope is not 5Gb that I read at your site.
Back to top
View user's profile Send_private_message 
potchan


Joined: 05 Apr 2008
Posts: 102
Location: Pilots' Height צוות_פותחן_לינוקס

PostPosted: Fri 24 Apr 2009, 17:19    Post_subject: As wished ...
Sub_title: enclosing some doings
 

Hi Michalis and Team,

Unfortunately, an image is not ready yet. I'll release a rough-cut ASAP, then I'm going to update my site with more care.

BTW - a cloud OS can be with a lot of Gigas. My challenge is more with fuent uploading and transformation since most of Potchan should be elswhere, leaving us-users with about 30M offline iso only on miniCD or cell-SD (without opera which awaits the online mode).

Thanks for trying to help. Here are some console reports.
pic1toMichalis.jpg
Description 
jpg

 Download 
Filename  pic1toMichalis.jpg 
Filesize  131.04 KB 
Downloaded  1380 Time(s) 
pic2atoMichalis.jpg
Description 
jpg

 Download 
Filename  pic2atoMichalis.jpg 
Filesize  195.48 KB 
Downloaded  1336 Time(s) 
pic2btoMichalis.jpg
Description 
jpg

 Download 
Filename  pic2btoMichalis.jpg 
Filesize  193.61 KB 
Downloaded  1356 Time(s) 
Back to top
View user's profile Send_private_message Visit_website 
Michalis

Joined: 08 Jan 2008
Posts: 237
Location: Greece

PostPosted: Sun 03 May 2009, 07:13    Post_subject:  

Hi Potchan,
Sorry for not answering earlier but I had a very busy week in my work.

For the first one picture my mistake it is "opera -full-version" with 2 L. But you don't have to do it since everything is clear in the second and third picture.

Normally running "opera -debugplugin" shouldn't have any significant output messages but in your case I see a list of problems.

First of all it concerns libcairo.so.2 which returns failure. Have you change libcairo from the one used in puppy 4 series, does it symlink to libcairo.so.2.16.0 or another version? What does "ldd /usr/lib/libcairo.so.2" give to you, does it exits normally or is it breaking somewhere?

The problem is that you have change a lot the default puppy system and that makes me difficult to help you by tracking down the problems. Most likely I will be able to help you when I will download your Potchan os, so that I can work on it. What you could try is to use "opera -debugplugin" and try to hunt down the failures concerning libflashplayer.so.

Send me a pm when it will be possible to download potchan.
Back to top
View user's profile Send_private_message 
potchan


Joined: 05 Apr 2008
Posts: 102
Location: Pilots' Height צוות_פותחן_לינוקס

PostPosted: Sun 03 May 2009, 17:09    Post_subject:  SOLVED!  

Hi Michalis and Team,

SOLVED!!! you're greater than life. It was right under my nose !!! Laughing

I dropped the special Gnome libcairo (why i put it ? because I'm a "wiseguy") and put back the original one. Embarassed

Now it's working. I hope now Cairo-dock on xfce will do well too.

Now to Flashblocker on 10
==================
Flashblocker on 10 is problematic because a. it refuses to be on Style menu, making it uncomfortable to handle. b. I think it also makes some side effects as stucking, but U have time to shape it up until 10 will get final. For now I drop it and wait.

About a Potchan 30M iso: soon I will do so after some checkings with the cloud. If I have trouble with that - it might B postponed a bit. It will be more than a dream-comes-true for me to give the 1st. rough-cut of Potchan to Team for a test drive (it is best most Potchan will be on cloud since it's nearly 5G already). Yet it seems to happen a month from now, I hope.

BTW, Potchan is NOT an OS. I call it "an opener" for being so simplified to the innocent user. Imagine using "ανοιχτήρι" to describe handling PC-stuff from now on. Isn't that cool ? Wink

Translation based on:

http://online.ectaco.co.uk/main.jsp%3bjsessionid=bc306fa7dcce76455735?do=e-services-dictionaries-word_translate1&direction=1&status=translate&lang1=23&lang2=el&source=opener

_________________
Timmothie (Timmo') Baker, the Potchan (=opener) Simplify Team at - http://potchan.org
P' developed on various LimpWare: DELL INSPIRON 2600 -> .. -> HP Pavilion dv6-2130ej
Back to top
View user's profile Send_private_message Visit_website 
Michalis

Joined: 08 Jan 2008
Posts: 237
Location: Greece

PostPosted: Wed 06 May 2009, 16:04    Post_subject:  Great!!!  

I'm very happy that you managed to solve your problem and I helped you on that Very Happy

The translation is correct even that most of the time on line translation tools are not for trusting them Laughing

When you'll finish potchan please don't forget to send me a pm to check it. It sounds interesting even though I haven't fully catch the story behind it yet. Embarassed

Anywhay I'll be waiting for the release to get it on my hands (sort of)
Back to top
View user's profile Send_private_message 
Michalis

Joined: 08 Jan 2008
Posts: 237
Location: Greece

PostPosted: Sat 19 Sep 2009, 14:40    Post_subject: Opera 10  

updated to opera 10
Back to top
View user's profile Send_private_message 
aarf

Joined: 30 Aug 2007
Posts: 3620
Location: around the bend

PostPosted: Fri 25 Sep 2009, 11:46    Post_subject:  

customise your opera10 search engine in the tools>preferences>search

these two work.
http://clusty.com/search?input-form=clusty-simple&v%3Asources=webplus&query=%s

https://ssl.scroogle.org/cgi-bin/nbbwssl.cgi?q=%s&sourceid=opera&num=%i&ie=utf-8&oe=utf-8

you cant just add the server but must add something like as above.

more discussion at http://my.opera.com/community/forums/topic.dml?id=291442

_________________

ASUS EeePC Flare series 1025C 4x Intel Atom N2800 @ 1.86GHz RAM 2063MB 800x600p ATA 320G
_-¤-_

<º))))><.¸¸.•´¯`•.#.•´¯`•.¸¸. ><((((º>
Back to top
View user's profile Send_private_message Visit_website 
Michalis

Joined: 08 Jan 2008
Posts: 237
Location: Greece

PostPosted: Fri 25 Sep 2009, 12:33    Post_subject:  

aarf actually for every search field that someone wants to use, for example the one here in murga, the only thing that he/she needs to do is to right click in the search field and choose the option to make it search engine (because I have it in Greek I'm not sure about the name in english but you get the point).

Scroogle is a great search machine, I have it as default. Actually is a proxy for google and gives the results without any advertisements and cookies.

Opera has many options for customization. You can add translation fields, block content, change for every webpage the way it looks and many more.
Back to top
View user's profile Send_private_message 
puplix

Joined: 29 Sep 2008
Posts: 33

PostPosted: Sun 27 Sep 2009, 15:51    Post_subject: Re: flash player pet  

hello Michalis,
since a couple of day's I tried to download this below announced pet...but I got the message "File downloads are temporary unavailable
We expect it to be back shortly. Thanks for your patience."

Do you know something about this problem?


Michalis wrote:
Thanks for the response, I'm happy that it works well Very Happy

But first response after 84 downloads till now Rolling Eyes


Anyway use this pet in order to install the latest flash version 10.0.22.87 in opera. I'm using this version and works fine.

Warning, if anybody wants flash version 10.0.22.87 for other browsers it won't work this pet.
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 17 Posts_count   Goto page: 1, 2, 3, ..., 15, 16, 17 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1207s ][ Queries: 12 (0.0091s) ][ GZIP on ]